const mongoose = require("mongoose");

const CampaignCategorySchema = new mongoose.Schema({
  name: {
    type: String,
  },
  IsActive: {
    type: Boolean,
  },
  IsDelete: {
    type: Boolean,
  },
  CreatedBy: {
    type: String,
  },
  CreatedOn: {
    type: Date,
  },
  ModifiedBy: {
    type: String,
    default: null,
  },
  ModifiedOn: {
    type: Date,
    default: null,
  },
});

const CampaignCategory = mongoose.model(
  "CampaignCategory",
  CampaignCategorySchema
);

module.exports = CampaignCategory;
